Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007248OCamltools (ocaml{lex,yacc,dep,debug,...})public2016-05-06 15:532017-09-24 17:32
Reporterantron 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target VersionFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007248: ocamldep: order of -open options
DescriptionIt seems ocamldep has the order of -open options backwards.
Steps To Reproducenamespaces_map.ml:

module Namespace =
struct
  module Bar = Namespace__bar
  module Foo = Namespace__foo
end
module Main = Main


foo.ml:

let a = Foo.a


$ ocamldep -modules -map namespaces_map.ml -open Namespaces_map -open Namespace foo.ml
foo.ml: Foo Namespace Namespaces_map

$ ocamldep -modules -map namespaces_map.ml -open Namespace -open Namespaces_map foo.ml
foo.ml: Namespace__foo Namespaces_map


I would expect the outputs to be interchanged. For comparison:

$ ocamlc -open Namespaces_map -open Namespace foo.ml
(ok)

$ ocamlc -open Namespace -open Namespaces_map foo.ml
File "command line", line 1:
Error: Unbound module Namespace
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015898)
gasche (administrator)
2016-05-06 18:05

Fixed in trunk ( cc69cbf31c8119e9a9c1b2e60581afd349bd984f ), thanks for the report.
(0015899)
antron (reporter)
2016-05-06 18:34

Thank you!

- Issue History
Date Modified Username Field Change
2016-05-06 15:53 antron New Issue
2016-05-06 18:05 gasche Note Added: 0015898
2016-05-06 18:05 gasche Status new => resolved
2016-05-06 18:05 gasche Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-05-06 18:05 gasche Resolution open => fixed
2016-05-06 18:05 gasche Assigned To => gasche
2016-05-06 18:34 antron Note Added: 0015899
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})
2017-09-24 17:32 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker